/* Nested group padding fix */
/* Editor: stop padding from compounding on nested Groups */
.wp-block-group:not(main) .wp-block-group {
  padding: 0;
}

/* seperators */
.wp-block-separator.is-style-default {
    max-width: 150px;
}

/* Read more block alignment fix */
.wp-block-read-more { margin-left: 0 !important; }


/* Team Grid */
.team-grid mark {
    font-size: var(--wp--preset--font-size--m);
}


/* Button Hovers ------------------------------------------------------------ */
a, .wp-block-button__link { transition: all 0.3s ease-in-out; }

/* default button hover */

.wp-block-buttons .wp-block-button__link:hover {
    background-color: var(--wp--preset--color--custom-button-hover-background);
    border-color: var(--wp--preset--color--custom-button-hover-border);
    color: var(--wp--preset--color--custom-button-hover-text);
}

.wp-block-buttons .wp-block-button__link {
  box-shadow: inset 0 0 0 0 var(--wp--preset--color--custom-button-hover-border);
}
.wp-block-buttons.style1 .wp-block-button__link:hover {
  box-shadow: inset 0 100px 0 0 var(--wp--preset--color--custom-button-hover-border);
}

.wp-block-buttons.style2 .wp-block-button__link:hover {
  box-shadow: inset 400px 0 0 0 var(--wp--preset--color--custom-button-hover-border);
}

.wp-block-buttons.style3 .wp-block-button__link:hover {
  box-shadow: inset 0 0 0 50px var(--wp--preset--color--custom-button-hover-border);
}




/* Form Styles -------------------------------------------------------------- */
/* Form style #2 */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_label {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0;
  text-transform: uppercase;
  position: relative;
  bottom: -1.5rem;
  left: 1rem;
}

.form-style-2 .gform_wrapper.gravity-theme form input,
.form-style-2 .gform_wrapper.gravity-theme form select,
.form-style-2 .gform_wrapper.gravity-theme form textarea {
	background: #eee;
	color: #000;
	border: none;
	border-radius: 0;
	height: 50px;
	padding: 1.5rem 1rem .5rem !important;
	font-family: inherit;
}

.form-style-2 .gform_wrapper.gravity-theme form select {
  border-right: 1rem solid #eee;
  color: #616161;
  padding: 1.5rem .75rem .5rem !important;
}
.form-style-2 .gform_wrapper.gravity-theme form .ginput_address_state select {
  padding: .5rem 1rem .5rem !important;
}

.form-style-2 .gform_wrapper.gravity-theme form .gfield--type-choice .gfield_label {
  bottom: 0;
  left: 0;
}
.form-style-2 .gform_wrapper.gravity-theme form .gfield--type-choice input {
  width: 20px;
  
}

.form-style-2 .gform_wrapper.gravity-theme form .gsection_title {
  margin-bottom: 0;
}

.form-style-2 .gform_wrapper.gravity-theme form .gf_placeholder,
.form-style-2 .gform_wrapper.gravity-theme form input::placeholder {
  color: #616161;
  font-size: 14px;
  font-weight: 400;
}


/* Hide default checkbox */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"],
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"] {
    opacity: 0;
    width: 0;
    height: 0;
	margin: 0;
}

/* Label styling */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox label,
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio label {
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    display: inline-block;
    line-height: 24px;
}

/* Custom box */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox label:before,
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio label:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 22px;
    height: 22px;
    border: 2px solid #eee;
    background: #eee;
    transition: all 0.2s ease;
}
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio label:before,
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio label:after {
	border-radius: 50%;
}

/* Checked background */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"]:checked + label:before {
    background: #000;
    border-color: #000;
}

/* Checkmark */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox label:after {
    content: "";
    position: absolute;
    left: 8px;
    top: 3px;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
    opacity: 0;
    transition: opacity 0.2s ease;
}
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio label:after {
    content: "";
    position: absolute;
    left: 4px;
    top: 4px;
    width: 18px;
    height: 18px;
    background: #000;
    border-radius: 50%;
    opacity: 0;
    transition: opacity 0.2s ease;
}

/* Show checkmark when checked */
.form-style-2 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"]:checked + label:after,
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"]:checked + label:after {
    opacity: 1;
}

/* Keyboard focus state */
.form-style-2 .gform_wrapper.gravity-theme form 
.gfield_checkbox input[type="checkbox"]:focus + label:before,
.form-style-2 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"]:focus + label:before {
    outline: -webkit-focus-ring-color auto 1px;
}


/* Forms style #3 */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_label {
  font-size: 14px;
  font-weight: 600;
  margin-bottom: 0;
  text-transform: uppercase;
  position: relative;
  bottom: -1.5rem;
  left: 1rem;
}

.form-style-3 .gform_wrapper.gravity-theme form input,
.form-style-3 .gform_wrapper.gravity-theme form select,
.form-style-3 .gform_wrapper.gravity-theme form textarea {
	background: #fff;
	color: #000;
	border: none;
	border-bottom: 2px solid #000;
	border-radius: 0;
	height: 50px;
	padding: 1.5rem 1rem .5rem !important;
	font-family: inherit;
}

.form-style-3 .gform_wrapper.gravity-theme form select {
  border-right: 1rem solid #fff;
  color: ##000;
  padding: 1.5rem .75rem .5rem !important;
}
.form-style-3 .gform_wrapper.gravity-theme form .ginput_address_state select {
  padding: .5rem 1rem .5rem !important;
}

.form-style-3 .gform_wrapper.gravity-theme form .gfield--type-choice .gfield_label {
  bottom: 0;
  left: 0;
}
.form-style-3 .gform_wrapper.gravity-theme form .gfield--type-choice input {
  width: 20px;
  
}

.form-style-3 .gform_wrapper.gravity-theme form .gsection_title {
  margin-bottom: 0;
}

.form-style-3 .gform_wrapper.gravity-theme form .gf_placeholder,
.form-style-3 .gform_wrapper.gravity-theme form input::placeholder {
  color: #616161;
  font-size: 14px;
  font-weight: 400;
}


/* Hide default checkbox */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"],
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"] {
    opacity: 0;
    width: 0;
    height: 0;
	margin: 0;
}

/* Label styling */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox label,
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio label {
    position: relative;
    padding-left: 35px;
    cursor: pointer;
    display: inline-block;
    line-height: 24px;
}

/* Custom box */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox label:before,
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio label:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 22px;
    height: 22px;
    border-bottom: 2px solid #000;
    background: #fff;
    transition: all 0.2s ease;
}
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio label:after {
	border-radius: 50%;
}



/* Checkmark */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox label:after {
    content: "";
    position: absolute;
    left: 8px;
    top: 3px;
    width: 6px;
    height: 12px;
    border: solid black;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
    opacity: 0;
    transition: opacity 0.2s ease;
}
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio label:after {
    content: "";
    position: absolute;
    left: 1px;
    top: 1px;
    width: 20px;
    height: 20px;
    background: #000;
    border-radius: 50%;
    opacity: 0;
    transition: opacity 0.2s ease;
}

/* Show checkmark when checked */
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"]:checked + label:after,
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"]:checked + label:after {
    opacity: 1;
}
.form-style-3 .gform_wrapper.gravity-theme form .gfield_checkbox input[type="checkbox"]:checked + label:before,
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"]:checked + label:before {
	border-bottom-color: white;
}

/* Keyboard focus state */
.form-style-3 .gform_wrapper.gravity-theme form 
.gfield_checkbox input[type="checkbox"]:focus + label:before,
.form-style-3 .gform_wrapper.gravity-theme form .gfield_radio input[type="radio"]:focus + label:before {
    outline: -webkit-focus-ring-color auto 1px;
}